%svm_mapping
close all;
% create 2D data
N=30;d1=randn([N,2])+ones(N,1)*[4,1];
d2=randn(N,2)+ones(N,1)*[-3,-2];
data=[d1;d2];
train_y = [ones(N,1);-ones(N,1)];
plot(data(:,1),data(:,2),'bx');

% subtract means
m_data= mean(data),
[npts,nfeat]=size(data);
data1 = data - ones(npts,1)*m_data;
figure(2);plot(data1(:,1),data1(:,2),'bx');title('Mean removed');
%find covariance
cov_data=cov(data1),
[e,lamda] = eig(cov_data);
e,lamda,
e1=e(1,:)';e2=e(2,:)';

% Plot eigenvectors
hold on; plot([0;8*e(1,1)],[0;8*e(1,2)],'r');plot([0;8*e(2,1)],[0;8*e(2,2)],'g');
lamda/sum(lamda),
%project data onto each one