%svm_mapping
close all;
% create 2D data
d1=randn([60,2]);
figure(1);plot(d1(:,1),d1(:,2),'x');hold on;
N=30;d2_a=randn(N,2)+ones(N,1)*[4,1];
N=30;d2_b=randn(N,2)+ones(N,1)*[0,4];
N=30;d2_c=randn(N,2)+ones(N,1)*[-3,-2];
train_data=[d2_a;d2_b;d2_c];
plot(train_data(:,1),train_data(:,2),'ro');
train_data=[d1;d2_a;d2_b;d2_c];
train_y = [ones(60,1);-ones(90,1)];
% generate testing data
d1=randn([60,2]);
N=30;d2_a=randn(N,2)+ones(N,1)*[4,1];
N=30;d2_b=randn(N,2)+ones(N,1)*[0,4];
N=30;d2_c=randn(N,2)+ones(N,1)*[-3,-2];
test_data=[d1;d2_a;d2_b;d2_c];test_y=train_y;


% 2. Train the classifier
   model1_rbf = svmtrain(train_y,train_data,'-c 1 -t 2 -g .1');
[X,Y,outimg] = plotsurfacerbf([-5,5], [-5,5], 100, model1_rbf);
plot_svms(train_data,train_y,model1_rbf.SVs,model1_rbf.totalSV);
   % 3. Test classifier performance
   [predict_label, accuracy] = svmpredict(test_y, test_data, model1_rbf);
   
 % 2. Train the classifier
   model2_rbf = svmtrain(train_y,train_data,'-c 1 -t 2 -g .5');
[X,Y,outimg] = plotsurfacerbf([-5,5], [-5,5], 100, model2_rbf);
plot_svms(train_data,train_y,model2_rbf.SVs,model2_rbf.totalSV);
   % 3. Test classifier performance
   [predict_label, accuracy] = svmpredict(test_y, test_data, model2_rbf);
   
% 2. Train the classifier
   model3_rbf = svmtrain(train_y,train_data,'-c 1 -t 2 -g 1');
[X,Y,outimg] = plotsurfacerbf([-5,5], [-5,5], 100, model3_rbf);
plot_svms(train_data,train_y,model3_rbf.SVs,model3_rbf.totalSV);
   % 3. Test classifier performance
   [predict_label, accuracy] = svmpredict(test_y, test_data, model3_rbf);
   
% 2. Train the classifier
   model4_rbf = svmtrain(train_y,train_data,'-c 1 -t 2 -g 2');
[X,Y,outimg] = plotsurfacerbf([-5,5], [-5,5], 100, model4_rbf);
plot_svms(train_data,train_y,model4_rbf.SVs,model4_rbf.totalSV);
   % 3. Test classifier performance
   [predict_label, accuracy] = svmpredict(test_y, test_data, model4_rbf);
   